      function oconhl(d,t)
*
* get Hubbard-Lampe opacities for the appropriate composition
*
      implicit double precision(a-h,o-z)

      common/je/je
      common/comp/amhyhe,amheca,x(4)

      if ( je .eq. 3 ) then
         polytmp = hlcnc(d,t)
      elseif ( je .eq. 2 ) then
         polytmp = hlcnhe(d,t)
      elseif ( je .eq. 1 ) then
         polytmp = hlcnh(d,t)
      endif

      oconhl = polytmp

      return
      end 

************************************************************************

